aboutsummaryrefslogtreecommitdiffstats
path: root/extra/ethtool/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-20 16:52:58 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-20 16:52:58 +0000
commitc261de1f7a718bda194a416b911f6a34eb16cd31 (patch)
tree2a9184eb00362a94234a6c5c18209f5c30ce46d4 /extra/ethtool/APKBUILD
parent5cdd5f785814bf3927ad574a1d8778496c159cad (diff)
downloadaports-c261de1f7a718bda194a416b911f6a34eb16cd31.tar.gz
aports-c261de1f7a718bda194a416b911f6a34eb16cd31.tar.bz2
aports-c261de1f7a718bda194a416b911f6a34eb16cd31.tar.xz
extra/ethtool: new aport
Diffstat (limited to 'extra/ethtool/APKBUILD')
-rw-r--r--extra/ethtool/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/extra/ethtool/APKBUILD b/extra/ethtool/APKBUILD
new file mode 100644
index 0000000000..50c92d40ec
--- /dev/null
+++ b/extra/ethtool/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=ethtool
+pkgver=6
+pkgrel=0
+pkgdesc="gkernel ethtool"
+url="http://sourceforge.net/projects/gkernel/"
+license="GPL"
+depends="uclibc"
+makedepends=""
+source="http://easynews.dl.sf.net/sourceforge/gkernel/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc"
+
+build ()
+{
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="3b721ec27f17ebf320ba8c505cf66d9c ethtool-6.tar.gz"